package com.maintain.business.service;

import com.maintain.business.domain.ErpClient;
import com.maintain.business.domain.vo.ErpClientVo;
import com.maintain.business.domain.bo.ErpClientBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 客户信息-客户Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpClientService {

    /**
     * 查询客户信息-客户
     */
    ErpClientVo queryById(Long id);

    /**
     * 查询客户信息-客户列表
     */
    TableDataInfo<ErpClientVo> queryPageList(ErpClientBo bo, PageQuery pageQuery);

    /**
     * 查询客户信息-客户列表
     */
    List<ErpClientVo> queryList(ErpClientBo bo);

    /**
     * 新增客户信息-客户
     */
    Boolean insertByBo(ErpClientBo bo);

    /**
     * 修改客户信息-客户
     */
    Boolean updateByBo(ErpClientBo bo);

    /**
     * 校验并批量删除客户信息-客户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
